
# BaseModel::insert 

### Usage

> ?static BaseModel::insert(object | array $values)

### Description

> Insert a new record into the database table assigned to the model class.

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
values | Yes | object | array |

### Return
> ?static 
### See Also

* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getChildren()](getchildren)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


